get
https://partner.gupshup.io/partner/bizgate/app//flows
Returns every WhatsApp Flow registered against an app, in draft, published, and deprecated states.
Request parameters
Path parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| appId | Identifier of the WhatsApp app the call acts on. | 6f414190-d45c-4671-bca1-fb6c3018cb13 | String | Required |
Sample cURL — List flows.
curl --request GET \
--url 'https://partner.gupshup.io/partner/bizgate/app/6f414190-d45c-4671-bca1-fb6c3018cb13/flows' \
--header 'Authorization: Bearer <UT>' \
--header 'Accept: application/json'Sample success response (200)
{
"status": "success",
"data": [
{
"categories": [
"APPOINTMENT_BOOKING",
"SIGN_UP"
],
"id": "1015020580246350",
"name": "My flow",
"status": "DRAFT",
"validation_errors": [ ]
},
{
"categories": [
"SIGN_UP"
],
"id": "1588193881746752",
"name": "default_qa",
"status": "PUBLISHED",
"validation_errors": [ ]
}
]
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…